Package writer2latex.api

# Class ConverterFactory

java.lang.Object
writer2latex.api.ConverterFactory

public class ConverterFactory extends Object
This is a factory class which provides static methods to create converters for documents in OpenDocument (or OpenOffice.org 1.x) format into a specific MIME type

## Constructor Summary

Constructors
Constructor
Description
`ConverterFactory()`

## Method Summary

Modifier and Type
Method
Description
`static BatchConverter`
`createBatchConverter(String sMIME)`
Create a `BatchConverter` implementation which supports conversion into the specified MIME type
`static Converter`
`createConverter(String sMIME)`
Create a `Converter` implementation which supports conversion into the specified MIME type.
`static StarMathConverter`
`createStarMathConverter()`
Create a `StarMathConverter` implementation
`static String`
`getDate()`
Return date information
`static String`
`getVersion()`
Return the Writer2LaTeX version in the form (major version).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConverterFactory

public ConverterFactory()

## Method Details

### getVersion

public static String getVersion()
Return the Writer2LaTeX version in the form (major version).(minor version).(patch level)
Development versions have an odd minor version number

Returns:
  the version number

### getDate

public static String getDate()
Return date information

Returns:
  the release date for this Writer2LaTeX version

### createConverter

public static Converter createConverter(String sMIME)

Create a `Converter` implementation which supports conversion into the specified MIME type.

Currently supported MIME types are:

- `application/x-latex` for LaTeX format
- `application/x-bibtex` for BibTeX format
- `text/html` for XHTML 1.0 strict format
- `application/xhtml11` for XHTML 1.1 format Note that this is not the recommended media type for XHTML 1.1 (see http://www.w3.org/TR/xhtml-media-types/), but it is used internally by Writer2xhtml to distinguish from XHTML+MathML
- `application/xhtml+xml` for XHTML+MathML
- `text/html5` for HTML5 documents Note that this is not the recommended media type for HTML5 (see http://wiki.whatwg.org/), but it is used internally by Writer2xhtml to distinguish from HTML5
- `application/epub+zip`
for EPUB format

`epub3` for EPUB 3 format

Parameters:
  `sMIME` - the MIME type of the target format
Returns:
  the required `Converter` or null if a converter for the requested MIME type could not be created

- ### createBatchConverter

  public static BatchConverter createBatchConverter(String sMIME)

  Create a `BatchConverter` implementation which supports conversion into the specified MIME type

  The only currently supported MIME type is `text/html` (XHTML 1.0 strict)

  Parameters:
    `sMIME` - the MIME type of the target format
  Returns:
    the required `BatchConverter` or null if a converter for the requested MIME type could not be created

- ### createStarMathConverter

  public static StarMathConverter createStarMathConverter()
  Create a `StarMathConverter` implementation
  Returns:
    the converter